Subject: Re: [PATCH 0/4] sample hooks: become hash agnostic

From: "brian m. carlson" <[email-masked]>
Date: Fri, 18 Sep 2020 21:35:07 +0000

On 2020-09-18 at 11:19:01, Denton Liu wrote:
> There are currently two hooks that have hardcoded 40 zeros as the null
> OID and, thus, are not hash-agnostic. Rewrite these to use the newly
> introduced `git rev-parse --null-oid` so that they become hash-agnostic.

I've looked over this series and I fully agree that the scripts should
be hash agnostic.  I offered an alternative which you may find simpler
and more appealing (or not), but with the constraint that if we add
--null-oid, it should accept an argument, I have no comments beyond what
other folks have added.
-- 
brian m. carlson: Houston, Texas, US